Subject: Re: linking confusion
From: [email-masked] (Steve Biskis)

15 May 1998 14:59:54 -0700
Message-ID: <[email-masked]>
Reply-To: <[email-masked]>
Mime-Version: 1.0
Content-Type: text/plain; charset=ISO-8859-1
Content-Transfer-Encoding: 7bit
To: "Jenny Gable (Skywind)" <[email-masked]>
Cc: <[email-masked]>

Tip du jour:

Don't worry about unresolved refs to either mainCRTStartup or
WinMainCRTStartup
they are merely dangling artifacts from a darker age.

That default entry point of 0x00401000 is right where you want to be.

da bisk

----------
> From: Jenny Gable (Skywind) <[email-masked]>
> To: Cygnus GNU Win32 Mailing List <[email-masked]>
> Subject: Re: linking confusion
> Date: Tuesday, May 12, 1998 4:38 PM
> 
> On Tue, 12 May 1998, Mumit Khan wrote:
> >  OK:
> >    % gcc -c foo.c
> >    % gcc -mwindows -o foo foo.o
> >  Not OK:
> >    % gcc -mwindows -o foo.c
> 
> Thanks, that solved it, and now creates an executable that just pops up
> a window.  I know it's supposed to have a small menu, and a different
> color background, from the example exe.  I'm also getting one warning
> during linking:
> 
> BASH.EXE-2.01$ gcc -mwindows listing2.o
> /CYGNUS/B19/H-I386~1/i386-cygwin32/bin/ld.exe: warning: cannot find entry
> symbol _WinMainCRTStartup; defaulting to 00401000
> 
> I can't find a reference to this function in my book anywhere, so I'm
> not sure what library to link to for it to work.  And it doesn't actually
> appear in my source code anywhere.  Tips?  Thanks.
> 
> 
> -
> For help on using this list (especially unsubscribing), send a message to
> "[email-masked]" with one line of text: "help".
-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".